<ion-header>
  <ion-toolbar>
    <ion-title>
      Meus bolos
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list *ngIf="!bolos.length">
    <ion-item *ngFor="let item of [0, 1, 2, 3, 4, 5]">
      <ion-avatar slot="start">
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-list>
    <ion-item-sliding *ngFor="let bolo of bolos">
      <ion-item button [routerLink]="['/details', bolo.id]">
        <ion-avatar slot="start">
          <img [src]="bolo.imagem">
        </ion-avatar>

        <ion-label>
          {{ bolo.nome }}
          <p>{{ bolo.descricao }}</p>
        </ion-label>

        <ion-note color="primary" slot="end" *ngIf="bolo.preco">{{ bolo.preco | currency: 'BRL' }}</ion-note>
      </ion-item>

      <ion-item-options side="end">
        <ion-item-option color="danger">
          <ion-icon slot="top" name="trash"></ion-icon>
          Excluir
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
